CLASS REROTATE_O(3)

NAME
boost::intrusive::treap_algorithms::rerotate_on_destroy

SYNOPSIS

// In header: <boost/intrusive/treap_algorithms.hpp>
class rerotate_on_destroy {
public:
  // construct/copy/destruct
  rerotate_on_destroy(const remove_on_destroy &);
  rerotate_on_destroy(node_ptr, node_ptr, std::size_t &);
  rerotate_on_destroy& operator=(const rerotate_on_destroy &);
  ~rerotate_on_destroy();
  // public member functions
  void release();
  const node_ptr header_;
  const node_ptr p_;
  std::size_t & n_;
  bool remove_it_;
};

DESCRIPTION

  rerotate_on_destroy public construct/copy/destruct

    1.

    rerotate_on_destroy(const remove_on_destroy &);

    2.

    rerotate_on_destroy(node_ptr header, node_ptr p, std::size_t & n);

    3.

    rerotate_on_destroy& operator=(const rerotate_on_destroy &);

    4.

    ~rerotate_on_destroy();

  rerotate_on_destroy public member functions

    1.

    void release();